﻿# Hosts zur Gruppe "GruppeXX" hinzufügen, d.h. VMM Agent auf diesen Hosts installieren
###################################################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")
$GruppenName = "Gruppe$GruppenNummer"

$hypervhosts = @()

$hypervhosts += "itcamp-$GruppenNummer-101.itcamp.de"
$hypervhosts += "itcamp-$GruppenNummer-102.itcamp.de"

$message = "Fügt folgende Hosts zur Hostgruppe $GruppenName in VMM (localhost) hinzu:" + "`n"

$hypervhosts | foreach { $message += "- "+$_ + "`n"} 

$title = "Hyper-V Hosts zur Hostgruppe hinzufügen?)"

$yes = New-Object System.Management.Automation.Host.ChoiceDescription "&Ja", "Ja."

$no = New-Object System.Management.Automation.Host.ChoiceDescription "&Nein", "Nein."

$options = [System.Management.Automation.Host.ChoiceDescription[]]($yes, $no)

$result = $host.ui.PromptForChoice($title, $message, $options, 0) 



switch ($result)
    {
        0 
            {
                     $runAsAccount = Get-SCRunAsAccount -Name "Domain Admin" -VMMServer localhost
                     $hostGroup = Get-SCVMHostGroup -Name $GruppenName -VMMServer localhost
                     foreach ($hypervhost in $hypervhosts)
                        {
                        	Add-SCVMHost -VMMServer localhost -ComputerName $hypervhost -RunAsynchronously -VMHostGroup $hostGroup -Credential $runAsAccount -Reassociate $true
                        }
            }
        1 
            {
                #do nothing
            }
    }





