# Create Cloud 
###############################
$GruppenNummer = "{0:D2}" -f [int](Read-Host "Gruppen Nummer?")
$hostGruppe = "Gruppe$GruppenNummer"
$cloudName = "Cloud$GruppenNummer"
$myJobGroupID = [System.Guid]::NewGuid()
Set-SCCloudCapacity -JobGroup "$myJobGroupID" -UseCustomQuotaCountMaximum $true -UseMemoryMBMaximum $true -UseCPUCountMaximum $true -UseStorageGBMaximum $true -UseVMCountMaximum $true

$resources = @()
$resources += Get-SCLogicalNetwork -Name "Management" 
$resources += Get-SCStorageClassification -Name "Local Storage"
$resources += Get-SCStorageClassification -Name "Remote Storage"


$addLibShare = @()
$addLibShare += Get-SCLibraryShare -VMMServer localhost | where Name -eq "MSSCVMMLibrary"

Set-SCCloud -JobGroup "$myJobGroupID" -RunAsynchronously -AddCloudResource $resources -AddReadOnlyLibraryShare $addLibShare
#$readWriteLibraryPath = "\\$([int]$GruppenNummer)-VMM.ITCamp.de\MSSCVMMLibrary"  
#Set-SCCloud -JobGroup "$myJobGroupID" -RunAsynchronously -AddCloudResource $resources -ReadWriteLibraryPath $readWriteLibraryPath


$hostGroups = @()
$hostGroups += get-scvmhostgroup -name $hostGruppe
New-SCCloud -JobGroup "$myJobGroupID" -VMHostGroup $hostGroups -Name "$cloudName" -Description "Cloud der ITCamp Gruppe $GruppenNummer" -RunAsynchronously 